Subject: bug#38485: Customizing glyph widths

From: Clément Pit-Claudel <[email-masked]>
Date: Thu, 5 Dec 2019 09:29:34 -0500

On 2019-12-04 22:36, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Wed, 4 Dec 2019 15:55:38 -0500
>>
>> Another example: the nameless-mode pacakge uses prettification to display the name of the current file as :, so that in foo-bar.el the symbol foo-bar-xyz displays as :xyz (with a different color for the colon) to shorten lines and improve readability.  Widening this ':' would defeat the purpose of that package.
> 
> That's why I suggest a buffer-local variable.  This package should not
> set it, then.

But you could mix this package with other prettifications, and want the widening behavior for these prettifications but not the nameless-mode ones.

Here's another example: When I write (lambda x (+ x x)) in Elisp and it gets abbreviated to (λ x (+ x x)), I wouldn't want it to be changed to (λ     x (+ x x)).  
But if I write this:

  (-> lst
      sort
      nreverse)

Then I do want it to be prettified to

  (→  lst
      sort
      nreverse)

and not to

  (→ lst
      sort
      nreverse)

Clément.